### Method

# Camel Folder get_folder_summary

since: 3.24

#### Declaration [src]

    CamelFolderSummary*
    camel_folder_get_folder_summary (
      CamelFolder* folder
    )

#### Description [src]

Get the `CamelFolderSummary` if the backend actually supports it. The `camel_folder_has_summary_capability()` conveniently checks its availability.

Available since: 3.24

#### Return value

Type: `CamelFolderSummary`

A `CamelFolderSummary` of the folder.

The returned data is owned by the instance.
The return value can be `NULL`.